diff -ur globus_core-4.33.orig/config/acstructs.m4 globus_core-4.33/config/acstructs.m4
--- globus_core-4.33.orig/config/acstructs.m4	2005-05-27 00:19:43.000000000 +0200
+++ globus_core-4.33/config/acstructs.m4	2007-05-14 22:00:58.000000000 +0200
@@ -29,6 +29,9 @@
     else
         AC_TRY_COMPILE(
 	    [
+#               ifndef _GNU_SOURCE
+#               define _GNU_SOURCE
+#               endif
 #               if HAVE_SYS_TYPES_H
 #                   include <sys/types.h>
 #               endif
@@ -61,6 +64,9 @@
         if test "$lac_cv_max_iov" = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -81,6 +87,9 @@
         if test "$lac_cv_max_iov" = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -100,6 +109,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
             [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -121,6 +133,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
             [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -143,6 +158,9 @@
         if test $lac_cv_max_iov = "no" ; then
             AC_TRY_COMPILE(
 	        [
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
diff -ur globus_core-4.33.orig/configure globus_core-4.33/configure
--- globus_core-4.33.orig/configure	2007-02-20 00:44:00.000000000 +0100
+++ globus_core-4.33/configure	2007-05-14 22:05:35.000000000 +0200
@@ -33208,6 +33208,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#               ifndef _GNU_SOURCE
+#               define _GNU_SOURCE
+#               endif
 #               if HAVE_SYS_TYPES_H
 #                   include <sys/types.h>
 #               endif
@@ -33288,6 +33291,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -33348,6 +33354,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -33407,6 +33416,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -33471,6 +33483,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
@@ -33536,6 +33551,9 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
+#                   ifndef _GNU_SOURCE
+#                   define _GNU_SOURCE
+#                   endif
 #                   if HAVE_SYS_TYPES
 #                       include <sys/types.h>
 #                   endif
Only in globus_core-4.33: configure.orig
Only in globus_core-4.33: configure.rej
diff -ur globus_core-4.33.orig/globus_config.h.in globus_core-4.33/globus_config.h.in
--- globus_core-4.33.orig/globus_config.h.in	2007-02-09 09:22:57.000000000 +0100
+++ globus_core-4.33/globus_config.h.in	2007-05-14 22:00:58.000000000 +0200
@@ -9,6 +9,9 @@
  * modifications, you must include this notice in the file.
  */
 
+#ifndef _GNU_SOURCE
+#define _GNU_SOURCE
+#endif
 #undef HAVE_EXTERNALTHREADS
 #undef HAVE_PTHREAD
 #undef HAVE_PTHREAD_DRAFT_10
